import request from '@/utils/request'
// 查询京西视界用户列表
export function listJxHorizonUser(query) {
  return request({
    url: '/jx_horizon/jxHorizonUser/list',
    method: 'get',
    params: query
  })
}
// 查询京西视界用户详细
export function getJxHorizonUser(id) {
  return request({
    url: '/jx_horizon/jxHorizonUser/get',
    method: 'get',
    params: {
     id: id.toString()
    }
  })
}
// 新增京西视界用户
export function addJxHorizonUser(data) {
  return request({
    url: '/jx_horizon/jxHorizonUser/add',
    method: 'post',
    data: data
  })
}
// 修改京西视界用户
export function updateJxHorizonUser(data) {
  return request({
    url: '/jx_horizon/jxHorizonUser/edit',
    method: 'put',
    data: data
  })
}
// 删除京西视界用户
export function delJxHorizonUser(ids) {
  return request({
    url: '/jx_horizon/jxHorizonUser/delete',
    method: 'delete',
    data:{
       ids:ids
    }
  })
}
// 京西视界用户账号状态修改
export function changeJxHorizonUserStatus(id,status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/jx_horizon/jxHorizonUser/changeStatus',
    method: 'put',
    data:data
  })
}